GenerateKey.DistinguishedName (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: GenerateKey, class: DistinguishedName

Package org.apache.tools.ant.taskdefs

# Class GenerateKey.DistinguishedName

java.lang.Object
org.apache.tools.ant.taskdefs.GenerateKey.DistinguishedName

Enclosing class:
  `GenerateKey`

public static class GenerateKey.DistinguishedName extends Object
A class corresponding to the dname nested element.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistinguishedName()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createParam()`
  Create a param nested element.
  `String`
  `encode(String string)`
  Encode a name or value.
  `Enumeration<GenerateKey.DnameParam>`
  `getParams()`
  Get the nested parameters.
  `String`
  `toString()`
  Generate a string rep of this distinguished name.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DistinguishedName

    public DistinguishedName()

- ## Method Details

  - ### createParam

    public Object createParam()
    Create a param nested element.
    Returns:
      a DnameParam object to be configured.

  - ### getParams

    public Enumeration<GenerateKey.DnameParam> getParams()
    Get the nested parameters.
    Returns:
      an enumeration of the nested parameters.

  - ### toString

    public String toString()
    Generate a string rep of this distinguished name. The format is each of the parameters (name = value) separated by ','. This is used on the command line.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string rep of this name

  - ### encode

    public String encode(String string)
    Encode a name or value. The encoded result is the same as the input string except that each ',' is replaced by a '\,'.
    Parameters:
      `string` - the value to be encoded
    Returns:
      the encoded value.